Get all runs for a crawler
GET
/api/v2/organizations/{organization}/projects/{project}/crawlers/{crawler}/runs
const url = 'https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects/test-project/crawlers/00000000-0000-0000-0000-000000000000/runs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects/test-project/crawlers/00000000-0000-0000-0000-000000000000/runs \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organization
required
string
Organization identifier
Example
test-orgproject
required
string
Project identifier
Example
test-projectcrawler
required
string
Crawler identifier
Example
00000000-0000-0000-0000-000000000000Responses
Section titled “Responses”The runs
Media typeapplication/json
Array<object>
object
id
required
Run ID
integer
crawler_config_id
required
Crawler config ID
integer
project_id
required
Project ID
integer
last_status
required
Run status
string
task_id
required
Task ID
string
started_at
Start time (Unix timestamp)
integer
completed_at
Completion time (Unix timestamp)
integer
created_at
Creation timestamp
string format: date-time
updated_at
Last update timestamp
string format: date-time
Example
[ { "id": 12345, "crawler_config_id": 12345, "project_id": 12345, "last_status": "completed", "task_id": "task-12345", "started_at": 1705749300, "completed_at": 1705749600, "created_at": "2024-01-20T09:15:00Z", "updated_at": "2024-01-20T09:15:00Z" }]The server could not understand the request due to invalid syntax.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}Access is forbidden.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}The resource was not found.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}An unexpected error occurred.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}